//
//  fun_objc.h
//  async_wake_ios
//
//  Created by George on 16/12/17.
//  Copyright © 2017 Ian Beer. All rights reserved.
//

#ifndef fun_objc_h
#define fun_objc_h


#define localize(key) NSLocalizedString(key, @"")
#define K_GENERATOR "generator"
#define K_ELECTRA_GENERATOR "0xbd34a880be0b53f3"

const char *userGenerator(void);
const char *genToSet(void);

const char* progname(const char*);;
void extractGz(const char *from, const char *to);
void update_springboard_plist(void);
void startDaemons(void);
void displaySnapshotWarning(void);
void displaySnapshotNotice(void);

void writeMessage(char *message);
void removingLiberiOS(void);
void removingElectraBeta(void);
void installingNitoTV(void);
void nitoTVDone(void);
void writeMessagePlain(char *message, ...);
void blockSaurikRepo(void);
#endif /* fun_objc_h */
